Skip to main content
PUT
/
v1
/
projects
/
{projectID}
/
settings
Update project settings
curl --request PUT \
  --url https://api.strait.dev/v1/projects/{projectID}/settings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "default_region": "<string>",
  "max_key_lifetime_days": 123
}
'
{
  "default_region": "<string>",
  "max_key_lifetime_days": 123,
  "plan_tier": "<string>",
  "project_id": "<string>",
  "$schema": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.strait.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Path Parameters

projectID
string
required

Body

application/json
default_region
string
max_key_lifetime_days
integer<int64>

Response

OK

default_region
string
required
max_key_lifetime_days
integer<int64>
required
plan_tier
string
required
project_id
string
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://api.strait.dev/schemas/ProjectSettingsResponse.json"